<div [formGroup]="form">
  <div class="row">
    <div>
      <h3>Contractvorm <a type="button" class="btn btn-outline-secondary btn-sm mt-1 " (click)="addContractvorm()">
        <add-item-svg></add-item-svg>
      </a></h3>
    </div>
  </div>
  <div class="row">
    <div class="col-12">
      <div formArrayName="contractvorm" *ngFor="let contractvormControl of t.controls; let i=index">
        <div [formGroupName]="i">

          <div class="row align-items-center">

            <div class="col-4">
              <label>Type arbeidscontract <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De code die aangeeft of het arbeidscontract voor bepaalde of onbepaalde tijd van toepassing is." tooltipClass="custom" for="clicked"></i></label>
              <div class="input-group">
                <select-enum [control]='$any(contractvormControl.get("codeTypeArbeidscontract"))'
                             [values]="codeTypeArbeidscontractValues"></select-enum>
              </div>

              <label>Type overeenkomst <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De code die aangeeft welk type overeenkomst van toepassing is" tooltipClass="custom" for="clicked"></i></label>
              <div class="input-group">
                <select-enum [control]='$any(contractvormControl.get("codeTypeOvereenkomst"))'
                             [values]="codeTypeOvereenkomstValues"></select-enum>
              </div>
            </div>

            <div class="col-8">
              <button type="button" class="btn btn-outline-danger" (click)="removeContractvorm(i)">
                <remove-item-svg></remove-item-svg>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


</div>
